Skip to main content
POST
/
rfqs
/
place-offer
/
{rfqUid}
Place new offer on an open RFQ
curl --request POST \
  --url https://demo-futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid} \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
import requests

url = "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}"

headers = {
    "APIKey": "<api-key>",
    "Authent": "<api-key>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};

fetch('https://demo-futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("APIKey", "<api-key>")
	req.Header.Add("Authent", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "result": "success",
  "serverTime": "2023-11-07T05:31:56Z",
  "offerUId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
  "result": "error",
  "serverTime": "2020-08-27T17:03:33.196Z",
  "errors": []
}

Authorizations

APIKey
string
header
required

General API key with full access

Authent
string
header
required

Authentication string

Path Parameters

rfqUid
string<uuid>
required

Unique identifier for the RFQ

Query Parameters

bid
string<decimal>

The bid price in USD

Example:

"12.0353200"

ask
string<decimal>

The ask price in USD

Example:

"12.0353200"

bidSide
string

JSON-encoded per-leg bid pricing. Format: [{"tradeable": "PI_XBTUSD", "price": 100}]. When provided, bid/ask query params must be omitted.

askSide
string

JSON-encoded per-leg ask pricing. Format: [{"tradeable": "PI_XBTUSD", "price": 101}]. When provided, bid/ask query params must be omitted.

Response

Placed bid

result
enum<string>
required
Available options:
success
serverTime
string<date-time>
required
offerUId
string<uuid>
required